petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSLoad

Loads a KSP that has been stored in binary with KSPView().

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSLoad(TS ts, PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| newdm | - the newly loaded TS, this needs to have been created with TSCreate() or some related function before a call to TSLoad().
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen()

### Notes

The type is determined by the data in the file, any type set into the TS before this call is ignored.

### Notes for advanced users

Most users should not need to know the details of the binary storage format, since TSLoad() and TSView() completely hide these details. But for anyone who's interested, the standard binary matrix storage format is

         has not yet been determined

### See Also

PetscViewerBinaryOpen(), TSView(), MatLoad(), VecLoad()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex28.c.html

### Implementations

TSLoad_ARKIMEX in src/ts/impls/arkimex/arkimex.c
TSLoad_RK in src/ts/impls/explicit/rk/rk.c
TSLoad_GLEE in src/ts/impls/glee/glee.c
TSLoad_MPRK in src/ts/impls/multirate/mprk.c
TSLoad_RosW in src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages